Miracle Docs
Terminals

Create terminal limit

POST
/v1/admin/terminals/{id}/limits
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.miracle.com/v1/admin/terminals/string/limits" \  -H "Content-Type: application/json" \  -d '{    "period": {      "value": 0,      "unit": "minute"    },    "metric": "volume",    "threshold": 0  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "entityType": "merchant",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "period": {
      "value": 0,
      "unit": "minute"
    },
    "metric": "volume",
    "threshold": 0,
    "currency": "string",
    "paymentMethod": "string",
    "brand": "string",
    "transactionType": "payment",
    "status": "active",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty
Empty

On this page